Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class MethodDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.MethodDocType

    public class MethodDocType

extends java.lang.Object

The documentation type for methods.
Created on: Jun 12, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Field Summary
`protected java.lang.String` | `commentText`
`protected java.util.List<ParamDocType>` | `paramDoc`

Constructor Summary
`MethodDocType()`

Method Summary
`java.util.List<java.lang.Object>` | `getAny()`
`java.lang.String` | `getCommentText()` Gets the value of the commentText property.
`java.lang.String` | `getMethodName()`
`java.util.List<ParamDocType>` | `getParamDocs()`
`RequestDocType` | `getRequestDoc()`
`ResponseDocType` | `getResponseDoc()`
`java.lang.String` | `getReturnDoc()`
`java.lang.String` | `getReturnTypeExample()`
`void` | `setCommentText(java.lang.String value)` Sets the value of the commentText property.
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setRequestDoc(RequestDocType requestDoc)`
`void` | `setResponseDoc(ResponseDocType responseDoc)`
`void` | `setReturnDoc(java.lang.String returnDoc)`
`void` | `setReturnTypeExample(java.lang.String returnTypeExample)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### commentText

    protected java.lang.String commentText

### paramDoc

    protected java.util.List<ParamDocType> paramDoc

Constructor Detail

### MethodDocType

    public MethodDocType()

Method Detail

### getCommentText

    public java.lang.String getCommentText()

  Gets the value of the commentText property.

  Returns:
    the commentText

### setCommentText

    public void setCommentText(java.lang.String value)

  Sets the value of the commentText property.

  Parameters:
    `value` - the commentText

### getParamDocs

    public java.util.List<ParamDocType> getParamDocs()

### getAny

    public java.util.List<java.lang.Object> getAny()

### getMethodName

    public java.lang.String getMethodName()

  Returns:
    the className

### setMethodName

    public void setMethodName(java.lang.String methodName)

  Parameters:
    `methodName` - the className to set

### getReturnDoc

    public java.lang.String getReturnDoc()

  Returns:
    the returnDoc

### setReturnDoc

    public void setReturnDoc(java.lang.String returnDoc)

  Parameters:
    `returnDoc` - the returnDoc to set

### getReturnTypeExample

    public java.lang.String getReturnTypeExample()

  Returns:
    the returnTypeExample

### setReturnTypeExample

    public void setReturnTypeExample(java.lang.String returnTypeExample)

  Parameters:
    `returnTypeExample` - the returnTypeExample to set

### getRequestDoc

    public RequestDocType getRequestDoc()

  Returns:
    the requestDoc

### setRequestDoc

    public void setRequestDoc(RequestDocType requestDoc)

  Parameters:
    `requestDoc` - the requestDoc to set

### getResponseDoc

    public ResponseDocType getResponseDoc()

  Returns:
    the responseDoc

### setResponseDoc

    public void setResponseDoc(ResponseDocType responseDoc)

  Parameters:
    `responseDoc` - the responseDoc to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.